Azure credentials - Update
Update Azure credentials into a specified project.
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| envUri | path | true | string | Host name used in these examples: obs.apibackbone.orange.com. |
| project | path | true | string | The project identifier which uniquely identify your project in Evolution Platform. |
| id | path | true | string | UUID of the Azure credential record in Evolution Platform. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| name | false | string | Azure credential name. |
| description | false | string | Azure credential description. |
| subscription | false | string | Azure subscription identifier. |
| tenant | false | string (UUID) | Azure tenant identifier. |
| client | false | string (UUID) | Azure application/client identifier. |
| client | false | string | Secret used by the application to authenticate to Azure. |
| expiration | false | string (date) | Expiration date. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Credentials | PATCH successful. The operation returns the updated credentials. |
| Other Status Codes | Error response | Error response describing why the operation failed. |
Response content
| Name | Type | Description |
|---|---|---|
| id | uuid | Identifier of the azure credential in Evolution Platform |
| projectId | string | Identifier of the project in Evolution Platform |
| name | string | Name of the azure credential in Evolution Platform |
| csp | string | Name of the Cloud Service Provider (CSP) |
| description | string | Description of the azure credential |
| projectName | string | Name of the project in Evolution Platform |
| expiration | string | The expiration date of the authentication token or client secret. |
Security
Type: HTTP Bearer
Token format: JWT
Header: Authorization: Bearer YOUR_ACCESS_TOKEN
Examples
Request
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/credentials/{id}
{
"name":"CredentialsAzure",
"description":"This set of credentials allow provisionning on Azure",
"subscriptionId": "YOUR_SUBSCRIPTION_ID",
"tenantId": "YOUR_TENANT_UUID",
"clientId": "YOUR_CLIENT_UUID",
"clientSecret": "YOUR_CLIENT_SECRET",
"expirationDate":"2027-01-31"
}
Sample response
Status code: 200 (OK)
{
"id": "29f85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name":"CredentialsAzure",
"csp":"AZURE",
"description":"This set of credentials allow provisionning on Azure",
"projectName": "orchestrator",
"expirationDate":"2025-06-15"
}